MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025980Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-03-25 09:322015-05-14 16:32
Reporterpkv 
Assigned Toapv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025980: Wrong result obtained by projection algorithm.
DescriptionWrong result obtained by projection algorithm.
Steps To Reproduce# Use the following DRAW commands to reproduce the problem:
#
restore c2t c
restore s1t s

project x c s
#
# Please, see x.jpg for more details
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25980
Attached Filesjpg file icon x.jpg (8,898 bytes) 2015-03-25 09:32
? file icon c2t (1,496 bytes) 2015-03-25 09:33
? file icon s1t (259 bytes) 2015-03-25 09:33
png file icon curveStartZoom.png (46,537 bytes) 2015-03-27 15:33

- Relationships

-  Notes
(0038942)
git (administrator)
2015-03-27 15:34

Branch CR25980 has been created by aml.

SHA-1: ea47922f143eab21cc00afaa74e1b45b92250aa7


Detailed log of new commits:

Author: aml
Date: Fri Mar 27 15:32:10 2015 +0300

    0025980: Wrong result obtained by projection algorithm.
    
    Possibility of "projection failed" state to non-analytical and non-spline surfaces added.
(0038943)
aml (developer)
2015-03-27 15:36
edited on: 2015-03-27 15:36

Dear msv,
Please check current state of CR25980.

Projection should fail due to big distance of projection at curve beginning (look at attached picture).

(0038953)
msv (developer)
2015-03-27 18:43

Reviewed.
(0038956)
git (administrator)
2015-03-27 19:16

Branch CR25980 has been updated forcibly by apv.

SHA-1: eeb9053476c79a0b0b35c7c7aaee4e61e52ff912
(0038957)
apv (tester)
2015-03-27 19:17

Branch CR25980 has been rebased on the current master
(0038960)
git (administrator)
2015-03-27 19:30

Branch CR25980 has been updated by msv.

SHA-1: fcdce871ca0d50109bc8352ac57cb8be0fbd7688


Detailed log of new commits:

Author: msv
Date: Fri Mar 27 19:27:07 2015 +0300

    Minor correction

(0038961)
msv (developer)
2015-03-27 19:32

The last correction does not change the logic, just for a little performance improvement.
(0039046)
git (administrator)
2015-03-31 16:45

Branch CR25980 has been updated by apv.

SHA-1: 496a4441291c8dd10436775d68c7273b022bef8e


Detailed log of new commits:

Author: apv
Date: Tue Mar 31 16:44:50 2015 +0300

    Test-case for issue 0025980

(0039047)
apv (tester)
2015-03-31 16:47

Dear BugMaster,

Branch CR25980 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fcdce871ca0d50109bc8352ac57cb8be0fbd7688

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_5(010) bug25980 - OK
http://occt-tests/CR25980-master-occt-64/Debian60-64/bugs/modalg_5/bug25980.html [^]
http://occt-tests/CR25980-master-occt-64/Windows-64-VC10/bugs/modalg_5/bug25980.html [^]

Testing on Linux:
Total MEMORY difference: 86005101 / 90006532 [-4.45%]
Total CPU difference: 53346.96999999986 / 21711.180000000055 [+145.71%]

Testing on Windows:
Total MEMORY difference: 56849047 / 56859930 [-0.02%]
Total CPU difference: 16347.875193399748 / 16115.277702399679 [+1.44%]
(0039314)
git (administrator)
2015-04-07 16:04

Branch CR25980_Fix has been created by aml.

SHA-1: cff99b42219b955c4d16cb4653b499f03709b350


Detailed log of new commits:

Author: aml
Date: Tue Apr 7 15:58:15 2015 +0300

    Fix for trimmed parameters case.

Author: jgv
Date: Mon Mar 30 14:43:50 2015 +0300

    0025894: BRepOffsetAPI_NormalProjection fails to projection an edge on a face
    Test cases have been added

Author: aml
Date: Fri Mar 27 15:32:10 2015 +0300

    0025980: Wrong result obtained by projection algorithm.
    
    Possibility of "projection failed" state to non-analytical and non-spline surfaces added.
    Test-case for issue 0025980
(0039336)
git (administrator)
2015-04-07 18:42

Branch CR25980_Fix has been updated forcibly by apv.

SHA-1: c84cc056e6bb89165cc6cb2f7c2ee23397fa97b4
(0039337)
apv (tester)
2015-04-07 18:43

Branch CR25980_Fix has been rebased on the current master
(0039365)
apv (tester)
2015-04-08 14:29

Dear BugMaster,

Branch CR25980_Fix from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c84cc056e6bb89165cc6cb2f7c2ee23397fa97b4

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing on Linux:
Total MEMORY difference: 93646312 / 93954954 [-0.33%]
Total CPU difference: 55881.659999999225 / 52005.73999999962 [+7.45%]

Testing on Windows:
Total MEMORY difference: 56881984 / 56889340 [-0.01%]
Total CPU difference: 16606.446850898952 / 16616.758516999023 [-0.06%]
(0041046)
git (administrator)
2015-05-14 16:32

Branch CR25980 has been deleted by inv.

SHA-1: 496a4441291c8dd10436775d68c7273b022bef8e
(0041047)
git (administrator)
2015-05-14 16:32

Branch CR25980_Fix has been deleted by inv.

SHA-1: c84cc056e6bb89165cc6cb2f7c2ee23397fa97b4

- Related Changesets
occt: master aa9d6bec
Timestamp: 2015-03-27 12:32:10
Author: aml
Committer: apv
Details ] Diff ]
0025980: Wrong result obtained by projection algorithm.

Possibility of "projection failed" state to non-analytical and non-spline surfaces added.
Test-case for issue 0025980
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25980 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-25 09:32 pkv New Issue
2015-03-25 09:32 pkv Assigned To => msv
2015-03-25 09:32 pkv File Added: x.jpg
2015-03-25 09:33 pkv File Added: c2t
2015-03-25 09:33 pkv File Added: s1t
2015-03-25 09:34 pkv Status new => assigned
2015-03-25 09:38 msv Assigned To msv => aml
2015-03-27 15:33 aml File Added: curveStartZoom.png
2015-03-27 15:34 git Note Added: 0038942
2015-03-27 15:36 aml Note Added: 0038943
2015-03-27 15:36 aml Assigned To aml => msv
2015-03-27 15:36 aml Status assigned => resolved
2015-03-27 15:36 aml Note Edited: 0038943 View Revisions
2015-03-27 18:43 msv Note Added: 0038953
2015-03-27 18:43 msv Assigned To msv => bugmaster
2015-03-27 18:43 msv Status resolved => reviewed
2015-03-27 18:58 apv Assigned To bugmaster => apv
2015-03-27 19:16 git Note Added: 0038956
2015-03-27 19:17 apv Note Added: 0038957
2015-03-27 19:30 git Note Added: 0038960
2015-03-27 19:32 msv Note Added: 0038961
2015-03-31 16:45 git Note Added: 0039046
2015-03-31 16:47 apv Test case number => bugs modalg_5(010) bug25980
2015-03-31 16:47 apv Note Added: 0039047
2015-03-31 16:47 apv Assigned To apv => bugmaster
2015-03-31 16:47 apv Status reviewed => tested
2015-04-07 16:04 git Note Added: 0039314
2015-04-07 16:11 bugmaster Assigned To bugmaster => apv
2015-04-07 18:42 git Note Added: 0039336
2015-04-07 18:43 apv Note Added: 0039337
2015-04-08 14:29 apv Note Added: 0039365
2015-04-08 14:30 apv Assigned To apv => bugmaster
2015-04-10 14:09 apv Changeset attached => occt master aa9d6bec
2015-04-10 14:09 apv Assigned To bugmaster => apv
2015-04-10 14:09 apv Status tested => verified
2015-04-10 14:09 apv Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:32 git Note Added: 0041046
2015-05-14 16:32 git Note Added: 0041047


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker